// 带货相关接口
import request from '../utils/request.js'

// 明星流信息列表
export const getFlowData = data => {
	return request.post('/data/api.star/index', data)
}

// 带货列表
export const getCommerceData = data => {
	return request.post('/data/api.auth.commerce/index', data)
}
//没有token带货列表
export const getNoCommerceData = data => {
	return request.post('/data/api.commerce/index', data)
}
  

// 获取明星关联商品数据
export const getFlowRelatedData = data => {
	return request.post('/data/api.star/goods', data)
}

// 获取带货详情数据 不带token
export const getCommerceDetails = data => {
	return request.post('/data/api.commerce/read', data)
}

// 普通带货报名
export const commonGoodsApply = data => {
	return request.post('/data/api.auth.commerce/enroll', data)
}

// 普通带货报名修改
export const commonGoodsApplyUpdate = data => {
	return request.post('/data/api.auth.commerce/editEnroll', data)
}

// 明星带货报名
export const flowGoodsApply = data => {
	return request.post('/data/api.star/enroll', data)
}

// 明星带货报名修改
export const flowGoodsApplyUpdate = data => {
	return request.post('/data/api.star/editEnroll', data)
}

// 获取我的带货列表
export const getMyGoodsEnrollList = data => {
	return request.post('/data/api.auth.commerce/getEnrolls', data)
}

// 获取我的带货详情数据
export const getMyGoodsEnrollDetail = data => {
	return request.post('/data/api.auth.commerce/getEnroll', data)
}

// 带货数据任务提交
export const submitMyGoodsTask = data => {
	return request.post('/data/api.auth.commerce/submit', data)
}

// 取消任务
export const cancelGoodsTask = data => {
	return request.post('/data/api.auth.commerce/cancel', data)
}
